Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class PMD

    java.lang.Object
      net.sourceforge.pmd.PMD

public class PMD
extends java.lang.Object

Field Summary
`static java.lang.String` | `EOL`
`static java.lang.String` | `EXCLUDE_MARKER`
`static java.lang.String` | `VERSION`

Constructor Summary
`PMD()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`void` | `processFile(java.io.InputStream fileContents, RuleSet ruleSet, RuleContext ctx)` Processes the input stream against a rule set assuming the platform character set.
`void` | `processFile(java.io.InputStream fileContents, java.lang.String encoding, RuleSet ruleSet, RuleContext ctx)` Processes the input stream agains a rule set using the given input encoding.
`void` | `processFile(java.io.InputStream fileContents, java.lang.String encoding, RuleSets ruleSets, RuleContext ctx)` Processes the input stream agains a rule set using the given input encoding.
`void` | `processFile(java.io.Reader reader, RuleSet ruleSet, RuleContext ctx)` Processes the file read by the reader agains the rule set.
`void` | `processFile(java.io.Reader reader, RuleSets ruleSets, RuleContext ctx)` Processes the file read by the reader agains the rule set.
`void` | `processFile(java.io.Reader reader, RuleSets ruleSets, RuleContext ctx, SourceType sourceType)` Processes the file read by the reader against the rule set.
`static void` | `processFiles(int threadCount, RuleSetFactory ruleSetFactory, SourceType sourceType, java.util.List files, RuleContext ctx, java.lang.String rulesets, boolean debugEnabled, boolean shortNamesEnabled, java.lang.String inputPath, java.lang.String encoding, java.lang.String excludeMarker)` Run PMD on a list of files using multiple threads.
`void` | `processFiles(java.util.List files, RuleContext ctx, RuleSets rulesets, boolean debugEnabled, boolean shortNamesEnabled, java.lang.String inputPath, java.lang.String encoding)` Run PMD on a list of files.
`void` | `setExcludeMarker(java.lang.String marker)`
`void` | `setJavaVersion(SourceType javaVersion)` Set the SourceType to be used for ".java" files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOL

    public static final java.lang.String EOL

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### EXCLUDE_MARKER

    public static final java.lang.String EXCLUDE_MARKER

See Also:
  Constant Field Values

Constructor Detail

### PMD

    public PMD()

Method Detail

### processFile

    public void processFile(java.io.Reader reader,
                            RuleSets ruleSets,
                            RuleContext ctx)
                     throws PMDException

  Processes the file read by the reader agains the rule set.

  Parameters:
    `reader` - input stream reader
    `ruleSets` - set of rules to process against the file
    `ctx` - context in which PMD is operating. This contains the Renderer and whatnot
  Throws:
    `PMDException` - if the input could not be parsed or processed

### processFile

    public void processFile(java.io.Reader reader,
                            RuleSets ruleSets,
                            RuleContext ctx,
                            SourceType sourceType)
                     throws PMDException

  Processes the file read by the reader against the rule set.

  Parameters:
    `reader` - input stream reader
    `ruleSets` - set of rules to process against the file
    `ctx` - context in which PMD is operating. This contains the Renderer and whatnot
    `sourceType` - the SourceType of the source
  Throws:
    `PMDException` - if the input could not be parsed or processed

### processFile

    public void processFile(java.io.Reader reader,
                            RuleSet ruleSet,
                            RuleContext ctx)
                     throws PMDException

  Processes the file read by the reader agains the rule set.

  Parameters:
    `reader` - input stream reader
    `ruleSet` - set of rules to process against the file
    `ctx` - context in which PMD is operating. This contains the Renderer and whatnot
  Throws:
    `PMDException` - if the input could not be parsed or processed

### processFile

    public void processFile(java.io.InputStream fileContents,
                            java.lang.String encoding,
                            RuleSet ruleSet,
                            RuleContext ctx)
                     throws PMDException

  Processes the input stream agains a rule set using the given input encoding.

  Parameters:
    `fileContents` - an input stream to analyze
    `encoding` - input stream's encoding
    `ruleSet` - set of rules to process against the file
    `ctx` - context in which PMD is operating. This contains the Report and whatnot
  Throws:
    `PMDException` - if the input encoding is unsupported or the input stream could not be parsed
  See Also:
    `processFile(Reader, RuleSet, RuleContext)`

### processFile

    public void processFile(java.io.InputStream fileContents,
                            java.lang.String encoding,
                            RuleSets ruleSets,
                            RuleContext ctx)
                     throws PMDException

  Processes the input stream agains a rule set using the given input encoding.

  Parameters:
    `fileContents` - an input stream to analyze
    `encoding` - input stream's encoding
    `ruleSets` - set of rules to process against the file
    `ctx` - context in which PMD is operating. This contains the Report and whatnot
  Throws:
    `PMDException` - if the input encoding is unsupported or the input stream could not be parsed
  See Also:
    `processFile(Reader, RuleSet, RuleContext)`

### processFile

    public void processFile(java.io.InputStream fileContents,
                            RuleSet ruleSet,
                            RuleContext ctx)
                     throws PMDException

  Processes the input stream against a rule set assuming the platform character set.

  Parameters:
    `fileContents` - input stream to check
    `ruleSet` - the set of rules to process against the source code
    `ctx` - the context in which PMD is operating. This contains the Report and whatnot
  Throws:
    `PMDException` - if the input encoding is unsupported or the input input stream could not be parsed
  See Also:
    `processFile(InputStream, String, RuleSet, RuleContext)`

### setExcludeMarker

    public void setExcludeMarker(java.lang.String marker)

### setJavaVersion

    public void setJavaVersion(SourceType javaVersion)

  Set the SourceType to be used for ".java" files.

  Parameters:
    `javaVersion` - the SourceType that indicates the java version

### main

    public static void main(java.lang.String[] args)

### processFiles

    public static void processFiles(int threadCount,
                                    RuleSetFactory ruleSetFactory,
                                    SourceType sourceType,
                                    java.util.List files,
                                    RuleContext ctx,
                                    java.lang.String rulesets,
                                    boolean debugEnabled,
                                    boolean shortNamesEnabled,
                                    java.lang.String inputPath,
                                    java.lang.String encoding,
                                    java.lang.String excludeMarker)

  Run PMD on a list of files using multiple threads.

  Throws:
    `java.io.IOException` - If one of the files could not be read

### processFiles

    public void processFiles(java.util.List files,
                             RuleContext ctx,
                             RuleSets rulesets,
                             boolean debugEnabled,
                             boolean shortNamesEnabled,
                             java.lang.String inputPath,
                             java.lang.String encoding)
                      throws java.io.IOException

  Run PMD on a list of files.

  Parameters:
    `files` - the List of DataSource instances.
    `ctx` - the context in which PMD is operating. This contains the Report and whatnot
    `rulesets` - the RuleSets
    `debugEnabled` -
    `shortNamesEnabled` -
    `inputPath` -
    `encoding` -
  Throws:
    `java.io.IOException` - If one of the files could not be read

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.